%define name speedtouch-firmware
%define oldname speedtouch_mgmt
%define version 0.1
%define release %mkrel 18
#http://download.ethomson.com/download/WebUpgrade_MacOSX_R3.zip
#http://download.ethomson.com/download/KQD6_R204.zip
#http://www.speedtouch.com/download/drivers/USB/SpeedTouch330_firmware_3012.zip
%define url https://speedtouch.sourceforge.net/

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Commercial
Group:		System/Kernel and hardware
URL: 		%{url}
Source0: 	%{oldname}-%{version}.tar.bz2
Summary: 	Alcatel Speedtouch USB ADSL modem microcode
Provides:	%{oldname}
Obsoletes:	%{oldname}
BuildRequires:	speedtouch-firmware-extractor
BuildArch:	noarch

%description
Alcatel Speedtouch USB ADSL modem microcode. Copyright Alcatel.
Needed to make the modem work.

%prep
%setup -q -n %{oldname}-%{version}
mv mgmt.o mgmt_rev0.o

%build
for rev in 0 2 4; do
  /usr/sbin/firmware-extractor mgmt_rev$rev.o
  for stage in 1 2; do
    mv speedtch-$stage.bin speedtch-$stage.bin.$rev
  done
done

%install
rm -rf %{buildroot}

mkdir -p -m 755 %{buildroot}/lib/firmware
install -m 644 speedtch-*.bin.* %{buildroot}/lib/firmware

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/speedtch-*.bin.*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1-18.mga10
+ Revision: 2244074
- Mageia 10 Mass Rebuild

* Fri Apr 15 2022 umeabot <umeabot> 0.1-17.mga9.nonfree
+ Revision: 1850511
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 0.1-16.mga8.nonfree
+ Revision: 1548832
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.1-15.mga7.nonfree
+ Revision: 1291503
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 0.1-14.mga6.nonfree
+ Revision: 1109209
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-13.mga5.nonfree
+ Revision: 740408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-12.mga5.nonfree
+ Revision: 689279
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 0.1-11.mga4.nonfree
+ Revision: 548491
- Mageia 4 rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1-10.mga3.nonfree
+ Revision: 382514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 ahmad <ahmad> 0.1-9.mga2.nonfree
+ Revision: 102323
- imported package speedtouch-firmware


* Thu Jun 09 2011 ahmad <ahmad> 0.1-9.mga2
+ Revision: 102323
- imported package speedtouch-firmware


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-8mdv2010.0
+ Revision: 433267
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-7mdv2009.0
+ Revision: 241710
- rebuild
- import speedtouch-firmware


* Mon Sep 11 2006 Olivier Blin <blino@mandriva.com> 0.1-6mdv2007.0
- don't require the speedtouch package

* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 0.1-5mdv2007.0
- rename as speedtouch-firmware
- create firmware files in /lib/firmware with firmware-extractor
- don't package mgmt files anymore
- noarch
- fix summary ended with dot

* Thu Mar 10 2005 Olivier Blin <oblin@mandrakesoft.com> 0.1-4mdk
- add new mgmt for rev2 (purple)
- update mgmt for rev4
- remove packager and prefix tag

* Mon Feb 16 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.1-3mdk
- add new mgmt for modem rev4 (silver).

* Sat Sep 22 2001 dam's <damien@mandrakesoft.com> 0.1-2mdk
- corrected licence/copyright

* Sat Sep 15 2001 dam's <damien@mandrakesoft.com> 0.1-1mdk
- first release.

